package com.huaxu.task.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huaxu.task.dao.PlanManageMapper;
import com.huaxu.task.dto.PlanManageDto;
import com.huaxu.task.entity.PlanManage;
import com.huaxu.task.service.PlanManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class PlanManageServiceImpl implements PlanManageService {

    @Autowired
    private PlanManageMapper planManageMapper;

    @Override
    public int insertSelective(PlanManage record) {
        return planManageMapper.insertSelective(record);
    }

    @Override
    public int updateByPrimaryKeySelective(PlanManage record) {
        return planManageMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public IPage<PlanManageDto> selectPage(IPage<PlanManageDto> page, PlanManageDto planManageDto){
        return planManageMapper.findPage(page,planManageDto);
    }

    @Override
    public PlanManage selectByPlanId(String planId) {
        return planManageMapper.selectByPlanId(planId);
    }

    @Override
    public PlanManage selectByPrimaryKey(Integer id) {
        return planManageMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKey(PlanManage record) {
        return planManageMapper.updateByPrimaryKey(record);
    }

    @Override
    public Integer batchDelete(List<Integer> ids) {
        return planManageMapper.batchDelete(ids);
    }

    @Override
    public PlanManageDto selectPlanDetail(Integer id) {
        return planManageMapper.selectPlanDetail(id);
    }

    @Override
    public int selectPendingPower(Map<String, Object> map) {
        return planManageMapper.selectPendingPower(map);
    }

    @Override
    public List<Map<String,Object>> selectTaskName(Map<String, Object> map) {
        return planManageMapper.selectTaskName(map);
    }
}
