package com.huaxu.track.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huaxu.track.entity.GpsDataHis;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "用户历史GPS数据扩展表")
public class GpsDataHisDto extends GpsDataHis {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "转换后X")
    private double ConvertX;

    @ApiModelProperty(value = "转换后Y")
    private double ConvertY;
}