package com.huaxu.dao;

import com.huaxu.entity.DayReportEntity;
import com.huaxu.entity.MonitorDataEntity;
import com.huaxu.entity.MonthReportEntity;
import com.huaxu.entity.YearReportEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description 设备数据
 * @auto wangli
 * @data 2020-12-01 10:12
 */
@Mapper
public interface MonitorDataMapper {

    MonitorDataEntity getDeviceMonitorInfoByDeviceCode(@Param("deviceCode")String deviceCode);
    void batchInsertYearReport(@Param("year") Integer year, @Param("month")Integer month);
    void batchInsertMonthReport(@Param("year") Integer year, @Param("month")Integer month, @Param("day")Integer day);
    void batchInsertDayReport( @Param("dayReportEntities") List<DayReportEntity> dayReportEntities);
}
